﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace ListViewItemTempl.Portable
{
    public class DataItem : INotifyPropertyChanged
    {
        private string name;       

        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
                this.OnPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
    public class ViewModel
    {
        public ViewModel()
        {
            this.Source = new ObservableCollection<DataItem>{
                new DataItem{ Name = "Item1"},
                new DataItem{ Name = "Item2"},
                new DataItem{ Name = "Item3"},
                new DataItem{ Name = "Item4"},
                new DataItem{ Name = "Item5"},
                new DataItem{ Name = "Item6"},
                new DataItem{ Name = "Item7"},
                new DataItem{ Name = "Item8"},
                new DataItem{ Name = "Item9"},
                new DataItem{ Name = "Item10"},
                new DataItem{ Name = "Item11"},
                new DataItem{ Name = "Item12"},
                new DataItem{ Name = "Item13"},
                new DataItem{ Name = "Item14"},
                new DataItem{ Name = "Item15"},
                new DataItem{ Name = "Item16"}
            };
        }

        public ObservableCollection<DataItem> Source { get; private set; }
    }
}
